%global commit 32bb4b1a91230162fe7d5b78f05ef740bd415f1f
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global icons_commit 2c8967b75a447ad415195a5c2b11b4339fab04a1

Name:           openblox-studio
Version:        0.1.1
Release:        2.git%{shortcommit}%{?dist}
Summary:        IDE for the OpenBlox game engine.

License:        GPLv3+
URL:            https://git.openblox.org/openblox/openblox-studio/
Source0:        https://git.openblox.org/openblox/openblox-studio/-/archive/%{commit}/openblox-studio-%{commit}.tar.gz
Source1:        https://git.openblox.org/openblox/class-icons/-/archive/%{icons_commit}/class-icons-%{icons_commit}.tar.gz

BuildRequires:  gcc-c++ autoconf autoconf-archive automake libtool make
BuildRequires:  libopenblox-devel irrlicht-devel pugixml-devel

BuildRequires:  qt5-qtbase-devel >= 5.6.0
BuildRequires:  pkgconfig(Qt5Gui) >= 5.6.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.6.0

%if 0%{?epel:1}
BuildRequires:  lua53-devel bullet-devel SDL2-devel enet-devel
Requires:       lua53
%else
BuildRequires:  lua-devel
Requires:       lua
%endif

Requires:       libopenblox qt5-qtbase

%description
The integrated development environment of the OpenBlox game engine.

%prep
%setup -q -n openblox-studio-%{commit}/
%setup -T -D -a 1 -n openblox-studio-%{commit}/
rm -rf rc/class_icons
mv class-icons-%{icons_commit} rc/class_icons

%build
./autoconf.sh

%if 0%{?epel:1}
# Because you have to set LENET_CFLAGS, and I can't seem to get LLUA_CLFAGS to work
export LENET_CFLAGS="-I/opt/lua-5.3/include"
export LENET_LIBS="-lenet"

export LOPENBLOX_CFLAGS="-I/usr/include/openblox -I/opt/lua-5.3/include -I/usr/include/SDL2"
export LOPENBLOX_LIBS="-lopenblox -lm -llua"

export LLUA_CFLAGS="-I/opt/lua-5.3/include"
%if %{__isa_bits} == 64
export LLUA_LIBS="-L/opt/lua-5.3/lib64"
export LDFLAGS="$LDFLAGS -L/opt/lua-5.3/lib64"
%else
export LLUA_LIBS="-L/opt/lua-5.3/lib"
export LDFLAGS="$LDFLAGS -L/opt/lua-5.3/lib"
%endif

%configure
%else

%configure

%endif

make %{?_smp_mflags}

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%files
%license COPYING
%{_bindir}/openblox-studio
%{_mandir}/man1/openblox-studio.1.gz

%changelog
* Sat Nov 17 2018 John Harris <johnmh@splentity.com> - 0.1.1-2
- Bump revision

* Thu Nov 15 2018 John Harris <johnmh@splentity.com> - 0.1.1-1
- Initial packaging of openblox-studio
